## WDS Get Packet Statistics request WDS Get Packet Statistics request |

## Functions

QmiMessageWdsGetPacketStatisticsInput * | qmi_message_wds_get_packet_statistics_input_new ()
QmiMessageWdsGetPacketStatisticsInput * | qmi_message_wds_get_packet_statistics_input_ref ()
void | qmi_message_wds_get_packet_statistics_input_unref ()
gboolean | qmi_message_wds_get_packet_statistics_input_get_mask ()
gboolean | qmi_message_wds_get_packet_statistics_input_set_mask ()
QmiMessageWdsGetPacketStatisticsOutput * | qmi_message_wds_get_packet_statistics_output_ref ()
void | qmi_message_wds_get_packet_statistics_output_unref ()
gboolean | qmi_message_wds_get_packet_statistics_output_get_last_call_rx_bytes_ok ()
gboolean | qmi_message_wds_get_packet_statistics_output_get_last_call_tx_bytes_ok ()
gboolean | qmi_message_wds_get_packet_statistics_output_get_result ()
gboolean | qmi_message_wds_get_packet_statistics_output_get_tx_packets_ok ()
gboolean | qmi_message_wds_get_packet_statistics_output_get_rx_packets_ok ()
gboolean | qmi_message_wds_get_packet_statistics_output_get_tx_packets_error ()
gboolean | qmi_message_wds_get_packet_statistics_output_get_rx_packets_error ()
gboolean | qmi_message_wds_get_packet_statistics_output_get_tx_overflows ()
gboolean | qmi_message_wds_get_packet_statistics_output_get_rx_overflows ()
gboolean | qmi_message_wds_get_packet_statistics_output_get_tx_bytes_ok ()
gboolean | qmi_message_wds_get_packet_statistics_output_get_rx_bytes_ok ()
gboolean | qmi_message_wds_get_packet_statistics_output_get_tx_packets_dropped ()
gboolean | qmi_message_wds_get_packet_statistics_output_get_rx_packets_dropped ()
void | qmi_client_wds_get_packet_statistics ()
QmiMessageWdsGetPacketStatisticsOutput * | qmi_client_wds_get_packet_statistics_finish ()

## Types and Values

| QmiMessageWdsGetPacketStatisticsInput
| QmiMessageWdsGetPacketStatisticsOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsGetPacketStatisticsInput
        ╰── QmiMessageWdsGetPacketStatisticsOutput

## Description

## Functions

### qmi_message_wds_get_packet_statistics_input_new ()

    QmiMessageWdsGetPacketStatisticsInput *
    qmi_message_wds_get_packet_statistics_input_new
                                   (void);

Allocates a new QmiMessageWdsGetPacketStatisticsInput.

#### Returns

the newly created QmiMessageWdsGetPacketStatisticsInput. The returned value should be freed with `qmi_message_wds_get_packet_statistics_input_unref()`.

Since: 1.6

### qmi_message_wds_get_packet_statistics_input_ref ()

    QmiMessageWdsGetPacketStatisticsInput *
    qmi_message_wds_get_packet_statistics_input_ref
                                   (QmiMessageWdsGetPacketStatisticsInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetPacketStatisticsInput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_wds_get_packet_statistics_input_unref ()

    void
    qmi_message_wds_get_packet_statistics_input_unref
                                   (QmiMessageWdsGetPacketStatisticsInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetPacketStatisticsInput. |

Since: 1.6

### qmi_message_wds_get_packet_statistics_input_get_mask ()

    gboolean
    qmi_message_wds_get_packet_statistics_input_get_mask
                                   (QmiMessageWdsGetPacketStatisticsInput *self,
                                    QmiWdsPacketStatisticsMaskFlag *value_mask,
                                    GError **error);

Get the 'Mask' field from `self` .

#### Parameters

self | a QmiMessageWdsGetPacketStatisticsInput. |
value_mask | a placeholder for the output QmiWdsPacketStatisticsMaskFlag, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_wds_get_packet_statistics_input_set_mask ()

    gboolean
    qmi_message_wds_get_packet_statistics_input_set_mask
                                   (QmiMessageWdsGetPacketStatisticsInput *self,
                                    QmiWdsPacketStatisticsMaskFlag value_mask,
                                    GError **error);

Set the 'Mask' field in the message.

#### Parameters

self | a QmiMessageWdsGetPacketStatisticsInput. |
value_mask | a QmiWdsPacketStatisticsMaskFlag. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_wds_get_packet_statistics_output_ref ()

    QmiMessageWdsGetPacketStatisticsOutput *
    qmi_message_wds_get_packet_statistics_output_ref
                                   (QmiMessageWdsGetPacketStatisticsOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetPacketStatisticsOutput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_wds_get_packet_statistics_output_unref ()

    void
    qmi_message_wds_get_packet_statistics_output_unref
                                   (QmiMessageWdsGetPacketStatisticsOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetPacketStatisticsOutput. |

Since: 1.6

### qmi_message_wds_get_packet_statistics_output_get_last_call_rx_bytes_ok ()

    gboolean
    qmi_message_wds_get_packet_statistics_output_get_last_call_rx_bytes_ok
                                   (QmiMessageWdsGetPacketStatisticsOutput *self,
                                    guint64 *value_last_call_rx_bytes_ok,
                                    GError **error);

Get the 'Last Call Rx Bytes Ok' field from `self` .

#### Parameters

self | a QmiMessageWdsGetPacketStatisticsOutput. |
value_last_call_rx_bytes_ok | a placeholder for the output guint64, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_wds_get_packet_statistics_output_get_last_call_tx_bytes_ok ()

    gboolean
    qmi_message_wds_get_packet_statistics_output_get_last_call_tx_bytes_ok
                                   (QmiMessageWdsGetPacketStatisticsOutput *self,
                                    guint64 *value_last_call_tx_bytes_ok,
                                    GError **error);

Get the 'Last Call Tx Bytes Ok' field from `self` .

#### Parameters

self | a QmiMessageWdsGetPacketStatisticsOutput. |
value_last_call_tx_bytes_ok | a placeholder for the output guint64, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_wds_get_packet_statistics_output_get_result ()

    gboolean
    qmi_message_wds_get_packet_statistics_output_get_result
                                   (QmiMessageWdsGetPacketStatisticsOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsGetPacketStatisticsOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.6

### qmi_message_wds_get_packet_statistics_output_get_tx_packets_ok ()

    gboolean
    qmi_message_wds_get_packet_statistics_output_get_tx_packets_ok
                                   (QmiMessageWdsGetPacketStatisticsOutput *self,
                                    guint32 *value_tx_packets_ok,
                                    GError **error);

Get the 'Tx Packets Ok' field from `self` .

#### Parameters

self | a QmiMessageWdsGetPacketStatisticsOutput. |
value_tx_packets_ok | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_wds_get_packet_statistics_output_get_rx_packets_ok ()

    gboolean
    qmi_message_wds_get_packet_statistics_output_get_rx_packets_ok
                                   (QmiMessageWdsGetPacketStatisticsOutput *self,
                                    guint32 *value_rx_packets_ok,
                                    GError **error);

Get the 'Rx Packets Ok' field from `self` .

#### Parameters

self | a QmiMessageWdsGetPacketStatisticsOutput. |
value_rx_packets_ok | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_wds_get_packet_statistics_output_get_tx_packets_error ()

    gboolean
    qmi_message_wds_get_packet_statistics_output_get_tx_packets_error
                                   (QmiMessageWdsGetPacketStatisticsOutput *self,
                                    guint32 *value_tx_packets_error,
                                    GError **error);

Get the 'Tx Packets Error' field from `self` .

#### Parameters

self | a QmiMessageWdsGetPacketStatisticsOutput. |
value_tx_packets_error | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_wds_get_packet_statistics_output_get_rx_packets_error ()

    gboolean
    qmi_message_wds_get_packet_statistics_output_get_rx_packets_error
                                   (QmiMessageWdsGetPacketStatisticsOutput *self,
                                    guint32 *value_rx_packets_error,
                                    GError **error);

Get the 'Rx Packets Error' field from `self` .

#### Parameters

self | a QmiMessageWdsGetPacketStatisticsOutput. |
value_rx_packets_error | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_wds_get_packet_statistics_output_get_tx_overflows ()

    gboolean
    qmi_message_wds_get_packet_statistics_output_get_tx_overflows
                                   (QmiMessageWdsGetPacketStatisticsOutput *self,
                                    guint32 *value_tx_overflows,
                                    GError **error);

Get the 'Tx Overflows' field from `self` .

#### Parameters

self | a QmiMessageWdsGetPacketStatisticsOutput. |
value_tx_overflows | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_wds_get_packet_statistics_output_get_rx_overflows ()

    gboolean
    qmi_message_wds_get_packet_statistics_output_get_rx_overflows
                                   (QmiMessageWdsGetPacketStatisticsOutput *self,
                                    guint32 *value_rx_overflows,
                                    GError **error);

Get the 'Rx Overflows' field from `self` .

#### Parameters

self | a QmiMessageWdsGetPacketStatisticsOutput. |
value_rx_overflows | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_wds_get_packet_statistics_output_get_tx_bytes_ok ()

    gboolean
    qmi_message_wds_get_packet_statistics_output_get_tx_bytes_ok
                                   (QmiMessageWdsGetPacketStatisticsOutput *self,
                                    guint64 *value_tx_bytes_ok,
                                    GError **error);

Get the 'Tx Bytes Ok' field from `self` .

#### Parameters

self | a QmiMessageWdsGetPacketStatisticsOutput. |
value_tx_bytes_ok | a placeholder for the output guint64, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_wds_get_packet_statistics_output_get_rx_bytes_ok ()

    gboolean
    qmi_message_wds_get_packet_statistics_output_get_rx_bytes_ok
                                   (QmiMessageWdsGetPacketStatisticsOutput *self,
                                    guint64 *value_rx_bytes_ok,
                                    GError **error);

Get the 'Rx Bytes Ok' field from `self` .

#### Parameters

self | a QmiMessageWdsGetPacketStatisticsOutput. |
value_rx_bytes_ok | a placeholder for the output guint64, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_wds_get_packet_statistics_output_get_tx_packets_dropped ()

    gboolean
    qmi_message_wds_get_packet_statistics_output_get_tx_packets_dropped
                                   (QmiMessageWdsGetPacketStatisticsOutput *self,
                                    guint32 *value_tx_packets_dropped,
                                    GError **error);

Get the 'Tx Packets Dropped' field from `self` .

#### Parameters

self | a QmiMessageWdsGetPacketStatisticsOutput. |
value_tx_packets_dropped | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_wds_get_packet_statistics_output_get_rx_packets_dropped ()

    gboolean
    qmi_message_wds_get_packet_statistics_output_get_rx_packets_dropped
                                   (QmiMessageWdsGetPacketStatisticsOutput *self,
                                    guint32 *value_rx_packets_dropped,
                                    GError **error);

Get the 'Rx Packets Dropped' field from `self` .

#### Parameters

self | a QmiMessageWdsGetPacketStatisticsOutput. |
value_rx_packets_dropped | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_client_wds_get_packet_statistics ()

    void
    qmi_client_wds_get_packet_statistics (QmiClientWds *self,
                                          QmiMessageWdsGetPacketStatisticsInput *input,
                                          guint timeout,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Asynchronously sends a Get Packet Statistics request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_get_packet_statistics_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsGetPacketStatisticsInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.6

### qmi_client_wds_get_packet_statistics_finish ()

    QmiMessageWdsGetPacketStatisticsOutput *
    qmi_client_wds_get_packet_statistics_finish
                                   (QmiClientWds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wds_get_packet_statistics()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_get_packet_statistics()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsGetPacketStatisticsOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_get_packet_statistics_output_unref()`.

Since: 1.6

## Types and Values

### QmiMessageWdsGetPacketStatisticsInput

    typedef struct _QmiMessageWdsGetPacketStatisticsInput QmiMessageWdsGetPacketStatisticsInput;

The QmiMessageWdsGetPacketStatisticsInput structure contains private data and should only be accessed using the provided API.

Since: 1.6

### QmiMessageWdsGetPacketStatisticsOutput

    typedef struct _QmiMessageWdsGetPacketStatisticsOutput QmiMessageWdsGetPacketStatisticsOutput;

The QmiMessageWdsGetPacketStatisticsOutput structure contains private data and should only be accessed using the provided API.

Since: 1.6